Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITextGeo

    java.lang.Object
      igeo.IParameterObject
          igeo.ITextGeo

All Implemented Interfaces:
  ISubobject

    public class ITextGeo

extends IParameterObject

Class of a text object in 3D space

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `ITextGeo.HorizontalAlignment`
`static class` | `ITextGeo.VerticalAlignment`

Field Summary
`ITextGeo.HorizontalAlignment` | `halign`
`IVecI` | `pos`
`java.lang.String` | `text`
`IVecI` | `uvec` direction of text with length of font size
`ITextGeo.VerticalAlignment` | `valign`
`IVecI` | `vvec` text height direction with length of font size

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`ITextGeo(java.lang.String str, double fontSize, IVecI pos)`
`ITextGeo(java.lang.String str, double fontSize, IVecI pos, IVecI textDir)`
`ITextGeo(java.lang.String str, double fontSize, IVecI pos, IVecI textDir, IVecI textUpDir)`
`ITextGeo(java.lang.String str, IVecI pos, IVecI uvec, IVecI vvec)`

Method Summary
`ITextGeo` | `alignBottom()`
`ITextGeo` | `alignCenter()`
`ITextGeo` | `alignLeft()`
`ITextGeo` | `alignMiddle()`
`ITextGeo` | `alignRight()`
`ITextGeo` | `alignTop()`
`boolean` | `isAlignBottom()`
`boolean` | `isAlignCenter()`
`boolean` | `isAlignLeft()`
`boolean` | `isAlignMiddle()`
`boolean` | `isAlignRight()`
`boolean` | `isAlignTop()`
`IVecI` | `pos()`
`ITextGeo` | `pos(IVecI v)`
`java.lang.String` | `text()`
`ITextGeo` | `text(java.lang.String txt)`
`IVecI` | `uvec()`
`ITextGeo` | `uvec(IVecI v)`
`IVecI` | `vvec()`
`ITextGeo` | `vvec(IVecI v)`

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

### pos

    public IVecI pos

### uvec

    public IVecI uvec

  direction of text with length of font size

### vvec

    public IVecI vvec

  text height direction with length of font size

### halign

    public ITextGeo.HorizontalAlignment halign

### valign

    public ITextGeo.VerticalAlignment valign

Constructor Detail

### ITextGeo

    public ITextGeo(java.lang.String str,
                    double fontSize,
                    IVecI pos,
                    IVecI textDir,
                    IVecI textUpDir)

### ITextGeo

    public ITextGeo(java.lang.String str,
                    double fontSize,
                    IVecI pos,
                    IVecI textDir)

### ITextGeo

    public ITextGeo(java.lang.String str,
                    double fontSize,
                    IVecI pos)

### ITextGeo

    public ITextGeo(java.lang.String str,
                    IVecI pos,
                    IVecI uvec,
                    IVecI vvec)

Method Detail

### pos

    public IVecI pos()

### uvec

    public IVecI uvec()

### vvec

    public IVecI vvec()

### pos

    public ITextGeo pos(IVecI v)

### uvec

    public ITextGeo uvec(IVecI v)

### vvec

    public ITextGeo vvec(IVecI v)

### text

    public java.lang.String text()

### text

    public ITextGeo text(java.lang.String txt)

### alignLeft

    public ITextGeo alignLeft()

### alignCenter

    public ITextGeo alignCenter()

### alignRight

    public ITextGeo alignRight()

### alignTop

    public ITextGeo alignTop()

### alignMiddle

    public ITextGeo alignMiddle()

### alignBottom

    public ITextGeo alignBottom()

### isAlignLeft

    public boolean isAlignLeft()

### isAlignCenter

    public boolean isAlignCenter()

### isAlignRight

    public boolean isAlignRight()

### isAlignTop

    public boolean isAlignTop()

### isAlignMiddle

    public boolean isAlignMiddle()

### isAlignBottom

    public boolean isAlignBottom()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD